Skip to main content

GetPaginatedAssetIssueList

POST

Query the list of all the tokens by pagination (confirmed state). Returns a list of Tokens that succeed the Token located at offset.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
offsetinteger
Starting position for pagination. Must be ≥ 0. (Default: 0). Example: 5 returns results starting from the 6th item.
limitintegerrequired
The amount of tokens per page.
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
assetIssuearray
The list of paginated TRC-10 token, please refer to GetAssetIssueByAccount for detailed fields of AssetIssueCapsule object, please note that string fields are in HexString format.
cURL
curl -X POST 'https://tron-mainnet.nodit.io/walletsolidity/getpaginatedassetissuelist' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{}'